aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2012-09-09 20:16:15 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2012-09-09 20:16:15 +0100
commit8e2d43ed4c0b36e9e9aaac74ce34e9d9d1b7171a (patch)
tree77fe4b70130c950c659d7cca616303dcced2ade3
parent9b9e198770c3980d8db91997af348f0b07fbf99e (diff)
downloadpaludis-8e2d43ed4c0b36e9e9aaac74ce34e9d9d1b7171a.tar.gz
paludis-8e2d43ed4c0b36e9e9aaac74ce34e9d9d1b7171a.tar.xz
Completely remove IMAGE in Gentoo EAPIs
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_symlink_rewriting_setup.sh4
-rw-r--r--paludis/repositories/e/eapis/pbin-1+0.conf2
-rw-r--r--paludis/repositories/e/eapis/pbin-1+1.conf2
-rw-r--r--paludis/repositories/e/eapis/pbin-1+2.conf2
-rw-r--r--paludis/repositories/e/eapis/pbin-1+3.conf2
-rw-r--r--paludis/repositories/e/eapis/pbin-1+4.conf2
-rw-r--r--paludis/repositories/e/eapis/pbin-1+5.conf2
-rw-r--r--paludis/repositories/e/eapis/pbin-1+paludis-1.conf2
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_init.bash3
-rw-r--r--paludis/repositories/e/ebuild/pbin-1/builtin_installbin.bash8
10 files changed, 13 insertions, 16 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_symlink_rewriting_setup.sh b/paludis/repositories/e/e_repository_TEST_symlink_rewriting_setup.sh
index 19e5eec..ff38af6 100755
--- a/paludis/repositories/e/e_repository_TEST_symlink_rewriting_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_symlink_rewriting_setup.sh
@@ -37,9 +37,9 @@ CHOST="i286-badger-linux-gnu"
END
cat <<END > cat/pkg/pkg-1.ebuild || exit 1
SLOT="0"
-PLATFORMS="test"
+KEYWORDS="test"
src_install() {
- ln -s "\${IMAGE}/foo" "\${IMAGE}/bar" || die
+ ln -s "\${D}/foo" "\${D}/bar" || die
}
END
cd ..
diff --git a/paludis/repositories/e/eapis/pbin-1+0.conf b/paludis/repositories/e/eapis/pbin-1+0.conf
index 24e6526..020d316 100644
--- a/paludis/repositories/e/eapis/pbin-1+0.conf
+++ b/paludis/repositories/e/eapis/pbin-1+0.conf
@@ -17,7 +17,7 @@ directory_variables = \
build:PORTDIR build:DISTDIR
ignore_pivot_env_variables = \
- A S D WORKDIR IMAGE
+ A S D WORKDIR
ignore_pivot_env_functions = \
src_unpack src_compile src_test src_install
diff --git a/paludis/repositories/e/eapis/pbin-1+1.conf b/paludis/repositories/e/eapis/pbin-1+1.conf
index 50d90a1..6355a78 100644
--- a/paludis/repositories/e/eapis/pbin-1+1.conf
+++ b/paludis/repositories/e/eapis/pbin-1+1.conf
@@ -17,7 +17,7 @@ directory_variables = \
build:PORTDIR build:DISTDIR
ignore_pivot_env_variables = \
- A S D WORKDIR IMAGE
+ A S D WORKDIR
ignore_pivot_env_functions = \
src_unpack src_compile src_test src_install
diff --git a/paludis/repositories/e/eapis/pbin-1+2.conf b/paludis/repositories/e/eapis/pbin-1+2.conf
index 1465a69..8dab1d9 100644
--- a/paludis/repositories/e/eapis/pbin-1+2.conf
+++ b/paludis/repositories/e/eapis/pbin-1+2.conf
@@ -17,7 +17,7 @@ directory_variables = \
build:PORTDIR build:DISTDIR
ignore_pivot_env_variables = \
- A S D WORKDIR IMAGE
+ A S D WORKDIR
ignore_pivot_env_functions = \
src_unpack src_prepare src_configure src_compile src_test src_install
diff --git a/paludis/repositories/e/eapis/pbin-1+3.conf b/paludis/repositories/e/eapis/pbin-1+3.conf
index a6bc3da..9e79f3b 100644
--- a/paludis/repositories/e/eapis/pbin-1+3.conf
+++ b/paludis/repositories/e/eapis/pbin-1+3.conf
@@ -18,7 +18,7 @@ directory_variables = \
build:PORTDIR build:DISTDIR
ignore_pivot_env_variables = \
- A S D WORKDIR IMAGE
+ A S D WORKDIR
ignore_pivot_env_functions = \
src_unpack src_prepare src_configure src_compile src_test src_install
diff --git a/paludis/repositories/e/eapis/pbin-1+4.conf b/paludis/repositories/e/eapis/pbin-1+4.conf
index e5822d3..f604d72 100644
--- a/paludis/repositories/e/eapis/pbin-1+4.conf
+++ b/paludis/repositories/e/eapis/pbin-1+4.conf
@@ -18,7 +18,7 @@ directory_variables = \
build:PORTDIR build:DISTDIR
ignore_pivot_env_variables = \
- A S D WORKDIR IMAGE
+ A S D WORKDIR
ignore_pivot_env_functions = \
src_unpack src_prepare src_configure src_compile src_test src_install
diff --git a/paludis/repositories/e/eapis/pbin-1+5.conf b/paludis/repositories/e/eapis/pbin-1+5.conf
index d2ceb18..7ccd5a7 100644
--- a/paludis/repositories/e/eapis/pbin-1+5.conf
+++ b/paludis/repositories/e/eapis/pbin-1+5.conf
@@ -18,7 +18,7 @@ directory_variables = \
build:PORTDIR build:DISTDIR
ignore_pivot_env_variables = \
- A S D WORKDIR IMAGE
+ A S D WORKDIR
ignore_pivot_env_functions = \
src_unpack src_prepare src_configure src_compile src_test src_install
diff --git a/paludis/repositories/e/eapis/pbin-1+paludis-1.conf b/paludis/repositories/e/eapis/pbin-1+paludis-1.conf
index a496eff..020b597 100644
--- a/paludis/repositories/e/eapis/pbin-1+paludis-1.conf
+++ b/paludis/repositories/e/eapis/pbin-1+paludis-1.conf
@@ -15,7 +15,7 @@ non_empty_variables = \
build:USERLAND build:KERNEL build:ARCH ROOT
ignore_pivot_env_variables = \
- A S D WORKDIR IMAGE
+ A S D WORKDIR
ignore_pivot_env_functions = \
src_unpack src_compile src_test src_install
diff --git a/paludis/repositories/e/ebuild/0/builtin_init.bash b/paludis/repositories/e/ebuild/0/builtin_init.bash
index fca0f99..78e70f4 100644
--- a/paludis/repositories/e/ebuild/0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_init.bash
@@ -72,9 +72,6 @@ builtin_init()
[[ -n "${PALUDIS_PREFIX_IMAGE_VAR}" ]] && export $PALUDIS_PREFIX_IMAGE_VAR=${D}
- IMAGE="${D}"
- declare -r IMAGE="${IMAGE}"
-
export S="${WORKDIR}/${P}"
ebuild_load_em_up_dan
diff --git a/paludis/repositories/e/ebuild/pbin-1/builtin_installbin.bash b/paludis/repositories/e/ebuild/pbin-1/builtin_installbin.bash
index b325e1a..ef3dec5 100644
--- a/paludis/repositories/e/ebuild/pbin-1/builtin_installbin.bash
+++ b/paludis/repositories/e/ebuild/pbin-1/builtin_installbin.bash
@@ -19,11 +19,11 @@
builtin_installbin()
{
if [[ ${!PALUDIS_ARCHIVES_VAR%.tar.bz2} != ${!PALUDIS_ARCHIVES_VAR} ]] ; then
- echo tar jvxpf "${!PALUDIS_BINARY_DISTDIR_VARIABLE}"/${!PALUDIS_ARCHIVES_VAR} -C "${IMAGE}"/ --exclude PBIN 1>&2
- tar jvxpf "${!PALUDIS_BINARY_DISTDIR_VARIABLE}"/${!PALUDIS_ARCHIVES_VAR} -C "${IMAGE}"/ --exclude PBIN || die "Couldn't extract image"
+ echo tar jvxpf "${!PALUDIS_BINARY_DISTDIR_VARIABLE}"/${!PALUDIS_ARCHIVES_VAR} -C "${!PALUDIS_IMAGE_DIR_VAR}"/ --exclude PBIN 1>&2
+ tar jvxpf "${!PALUDIS_BINARY_DISTDIR_VARIABLE}"/${!PALUDIS_ARCHIVES_VAR} -C "${!PALUDIS_IMAGE_DIR_VAR}"/ --exclude PBIN || die "Couldn't extract image"
elif [[ ${!PALUDIS_ARCHIVES_VAR%.pax.bz2} != ${!PALUDIS_ARCHIVES_VAR} ]] ; then
- echo unpaxinate img "${!PALUDIS_BINARY_DISTDIR_VARIABLE}"/${!PALUDIS_ARCHIVES_VAR} "${IMAGE}" 1>&2
- unpaxinate img "${!PALUDIS_BINARY_DISTDIR_VARIABLE}"/${!PALUDIS_ARCHIVES_VAR} "${IMAGE}" || die "Couldn't extract image"
+ echo unpaxinate img "${!PALUDIS_BINARY_DISTDIR_VARIABLE}"/${!PALUDIS_ARCHIVES_VAR} "${!PALUDIS_IMAGE_DIR_VAR}" 1>&2
+ unpaxinate img "${!PALUDIS_BINARY_DISTDIR_VARIABLE}"/${!PALUDIS_ARCHIVES_VAR} "${!PALUDIS_IMAGE_DIR_VAR}" || die "Couldn't extract image"
else
die "Unrecognised extension for '${!PALUDIS_ARCHIVES_VAR}'"
fi